### Function Macro

# GLib dataset_id_remove_data

since: 2.0

#### Declaration

    #define g_dataset_id_remove_data (
      l,
      k
    )

#### Description

Removes a data element from a dataset. The data element’s destroy function is called if it has been set.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`l`

  Type: `-`

  The location identifying the dataset.

`k`

  Type: `-`

  The `GQuark` id identifying the data element.